## rm

#### OS/161 Reference Manual

### Name

rm - remove (unlink) files

### Synopsis

/bin/rm file...

### Description

rm deletes the files specified on its command line. (If one of the filenames specified is one of several hard links to the same file, the actual file is only erased when all links are removed.)

Using rm on directories produces an error. Use rmdir to remove directories.

### Requirements

rm uses the following system calls:

- remove
- write
- _exit

rm should function properly once the file system assignment is completed.

### Restrictions

emufs does not support rm. (This is intentional.)

### See Also

rmdir